%define anolis_release 3
Name:           libnice
Version:        0.1.21
Release:        %{anolis_release}%{?dist}
Summary:        GLib ICE implementation

License:        LGPLv2 and MPLv1.1
URL:            https://nice.freedesktop.org/wiki/
Source0:        https://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch1:         libnice-gupnp-1.6.patch

BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(gio-2.0) >= 2.54
BuildRequires:  pkgconfig(gnutls) >= 2.12.0
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.0.0
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gupnp-igd-1.6) >= 0.2.4
BuildRequires:  gtk-doc
BuildRequires:  meson >= 0.52
BuildRequires:  gettext
BuildRequires:  graphviz

%description
%{name} is an implementation of the IETF draft Interactive Connectivity
Establishment standard (ICE). ICE is useful for applications that want to
establish peer-to-peer UDP data streams. It automates the process of traversing
NATs and provides security against some attacks. Existing standards that use
ICE include the Session Initiation Protocol (SIP) and Jingle, XMPP extension
for audio/video calls.


%package        gstreamer1
Summary:        GStreamer plugin for %{name}
Requires:       %{name} = %{version}-%{release}

%description    gstreamer1
The %{name}-gstreamer1 package contains a gstreamer 1.0 plugin for %{name}.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

# disable tests that don't work in koji environment
sed \
    -e "s/^  'test-set-port-range'/#&/" \
    -i tests/meson.build

%build
%meson -D gtk_doc=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING COPYING.LGPL COPYING.MPL
%{_bindir}/stunbdc
%{_bindir}/stund
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Nice-0.1.typelib


%files gstreamer1
%{_libdir}/gstreamer-1.0/libgstnice.so


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/nice.pc
%{_datadir}/gtk-doc/html/%{name}/
%{_datadir}/gir-1.0/Nice-0.1.gir

%files doc
%doc NEWS README

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.21-3
- Rebuild for remove inappropriate build dependencies.

* Thu Apr 06 2023 Chunmei Xu <xuchunmei@linux.aliabba.com> - 0.1.21-2
- build against new gupnp-igd

* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 0.1.21-1
- New version 0.1.21

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.18-1
- Init from upstream version 0.1.18
